MCP Gateway
ApiAuth settings

Update authentication settings

Partially update global authentication configuration. Only provided fields are changed. Requires admin or owner role.

PATCH
/api/v1/settings/auth

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/settings/auth" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "setup_completed_at": "2019-08-24T14:15:22Z",
  "allowed_email_domains": [
    "string"
  ],
  "admin_emails": [
    "string"
  ],
  "access_token_expire_minutes": 30,
  "refresh_token_expire_days": 7,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}